From foo@baz Tue Apr  9 12:12:43 2002
To: Greg KH <gregkh@suse.de>
Date: 24 Mar 2005 13:42:57 -08:00
From: elenstev@mesatop.com
Subject: [PATCH] patch to fix build error In function `zft_init'

Steven Cole wrote:
> I'm getting the following build error with 2.6.12-rc1-mm2:
>
>   CC      init/version.o
>   LD      init/built-in.o
>   LD      .tmp_vmlinux1
> drivers/built-in.o(.init.text+0x4323): In function `zft_init':
> : undefined reference to `class_device_creat'
> make: *** [.tmp_vmlinux1] Error 1
>

I glanced at the code, and this little patch fixes the problem:


Signed-off by: Steven Cole <elenstev@mesatop.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


diff -Nru a/drivers/char/ftape/zftape/zftape-init.c b/drivers/char/ftape/zftape/zftape-init.c
--- a/drivers/char/ftape/zftape/zftape-init.c	2005-04-05 10:51:57 -07:00
+++ b/drivers/char/ftape/zftape/zftape-init.c	2005-04-05 10:51:57 -07:00
@@ -331,7 +331,7 @@
 
 	zft_class = class_create(THIS_MODULE, "zft");
 	for (i = 0; i < 4; i++) {
-		class_device_creat(zft_class, MKDEV(QIC117_TAPE_MAJOR, i), NULL, "qft%i", i);
+		class_device_create(zft_class, MKDEV(QIC117_TAPE_MAJOR, i), NULL, "qft%i", i);
 		devfs_mk_cdev(MKDEV(QIC117_TAPE_MAJOR, i),
 				S_IFCHR | S_IRUSR | S_IWUSR,
 				"qft%i", i);
